afc_client_new_from_house_arrest_client
house_arrest_client_free
house_arrest_client_new
house_arrest_client_start_service
house_arrest_client_t
house_arrest_error_t
house_arrest_get_result
house_arrest_send_command
house_arrest_send_request
HOUSE_ARREST_SERVICE_NAME

## house_arrest_client_free()

LIBIMOBILEDEVICE_API house_arrest_error_t house_arrest_client_free | ( | house_arrest_client_t | client | ) |

Disconnects an house_arrest client from the device and frees up the house_arrest client data.

Note
  After using afc_client_new_from_house_arrest_client(), make sure you call afc_client_free() before calling this function to ensure a proper cleanup. Do not call this function if you still need to perform AFC operations since it will close the connection.

Parameters

  client | The house_arrest client to disconnect and free.

Returns
  HOUSE_ARREST_E_SUCCESS on success, HOUSE_ARREST_E_INVALID_ARG when client is NULL, or an HOUSE_ARREST_E_* error code otherwise.